Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1091687 - OVIRT35 - [RFE] History DB should sync user's first and last name for user usage tables.
Summary: OVIRT35 - [RFE] History DB should sync user's first and last name for user us...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-dwh
Version: 3.5
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 3.5.0
Assignee: Shirly Radco
QA Contact: Pavel Novotny
URL:
Whiteboard: infra
Depends On: 1018416
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-27 09:35 UTC by Yaniv Lavi
Modified: 2016-02-10 19:34 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Enhancement
Doc Text:
Clone Of: 1018416
Environment:
Last Closed: 2014-10-17 12:41:56 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27338 master NEW history: sync users data for user usage tables Never
oVirt gerrit 27339 master MERGED history: added dwh_users_history_view Never

Description Yaniv Lavi 2014-04-27 09:35:30 UTC
Description of problem:
- eIDs are not very easy to figure out who the user is. Need a much better way 
  to map this as users are from AD
- It appears the reports are only pulling the login names not the first/lastname

Solution is to add first, last name and other useful data for users for use in users statistics.

Comment 1 movciari 2014-10-14 10:37:34 UTC
moving to verified since this has already been verified in downstream

Comment 2 Sandro Bonazzola 2014-10-17 12:41:56 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.